## lomiri-ui-extras 0.5

=== modules/Lomiri/Components/Extras/CMakeLists.txt ===
file(GLOB QML_FILES *.qml qmldir)

set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")

set(PLUGIN_DIR ${QT_IMPORTS_DIR}/Lomiri/Components/Extras)
install(FILES ${QML_FILES} DESTINATION ${PLUGIN_DIR})

# copy qml files over to build dir to be able to import them in tests
foreach(qmlFile ${QML_FILES} Example.qml PhotoEditor.qml TabsBar.qml Example PhotoEditor TabsBar)
  file(COPY ${qmlFile} DESTINATION ${CMAKE_BINARY_DIR}/tests/unittests/Lomiri/Components/Extras/)
endforeach(qmlFile)

add_subdirectory(plugin)
add_subdirectory(Example)
add_subdirectory(PhotoEditor)
add_subdirectory(Printers)
add_subdirectory(TabsBar)

=== debian/changelog ===
lomiri-ui-extras (0.5-2) unstable; urgency=medium

  * Upload source-only as-is.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 06 Mar 2022 20:58:24 +0100

lomiri-ui-extras (0.5-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1006712).
  * debian/patches:
    + Add copyright header amendments from upstream.
  * debian/Jenkinsfile:
    + Drop file.
  * debian/{compat,control}:
    + Switch to debhelper-compat notation, bump DH compat level to version 13.
  * debian/control:
    + Change Section: from x11 to misc.
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Add Debian-specific Vcs-*: fields.
    + Update Maintainers: and Uploaders: field for official Debian upload.
    + Drop from B-D: meta-package qt5-default.
    + Switch from B-D python:any to python3:any.
    + Add B-D: xauth.
    + Drop X-Language-Pack: field from global header.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/rules:
    + Drop --parallel and --fail-missing dh flags.
    + Enable all hardening build flags.
    + Add get-orig-source target (for the maintainer's convenience).
  * debian/copyright:
    + Add auto-generated copyright.in file.
    + Update copyright attributions.
    + Use secure URL in Format: field.
    + Add Upstream-Contact: field.
  * debian/source/format:
    + Add file. Use '3.0 (quilt)'.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/watch:
    + Add file.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 04 Mar 2022 20:38:06 +0100

lomiri-ui-extras (0.5) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-ui-extras. See upstream
    ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Fri, 04 Mar 2022 19:34:53 +0100

ubuntu-ui-extras (0.4+ubports) xenial; urgency=medium

  * Imported to UBports

 -- UBports auto importer <infra@ubports.com>  Sun, 07 Jan 2018 23:38:30 +0100

ubuntu-ui-extras (0.3+17.04.20170323-0ubuntu1) zesty; urgency=medium

  [ Andrew Hayzen, Jonas G. Drange ]
  * Adds devices as an model on Printers, and re-instates remote printer model on Printers.
  * makes sure the backend is refreshed on enable/disable
  * If printerAdded is called ensure there is always a proxy printer
        corrects thread affinity for printerloaded printers, as well as any qobject children it might have
  * Remove PrinterQueue.qml example and add missing job methods to Printers.qml example, so we have only one example
  * improves the deviceName by dropping the CMD (note that the full string remains accessible from device.id)
  * Connect job-impressions-completed from cups to PrinterJob::impressionsCompleted()
  * In the job model listen to printerStateChanged as changes t job-impressions-completed causes that signal
  * Improve the PrinterSignalHandler to limit the maximum wait time of unprocessed signals to four times the timeout
  * Add unit test for SignalRateLimiter to check it does perform a flush
  * Rename PrinterSignalHandler to SignalRateLimiter
  * Add a JobLoader for loading a specific jobId for a printer and loading the extended attributes
  * Move the loading of creationTime, completedTime, processingTime, size and user to extended attributes as signals don't give us those
  * Add method for PrinterBackend for getting a specific job
  * Split up JobModel::update so there is jobCreated, jobState and jobCompleted which then call addJob, removeJob and updateJob
  * Improve Printer::updateFrom to not call loadAttributes as this results in a possible UI block
  * Add missing comparisions for PrinterJob deepCompare and updateFrom
  * Change PrinterJob::setPrinter to not call loadDefaults and instead explicitly call it
  * Change Printers to trigger requestJobExtendedAttributes which triggers a background thread rather than doing in foreground
  * exposes copies attribute on the printer
  * includes cups/adminutils.h into which the cups device callback was moved in >= libcups2-dev 2.2.2
  * allows browsing on local and remote printers
  * Add filters for active, paused and queued
  * Add sorting by creationTime and then falling back to id
  * Change time related roles in JobModel to return QDateTime, not QString, so sorting doesn't break
  * Update tests
  * Change printerGetJobAttributes to use printer-uri and job-id (the same as holdJob and releaseJob
  * Give printerGetJobAttributes printerName so we can ensure we get the correct job
  * adds read/write of the shared property
  * adds extended attribute fetching (IppClient::printerGetAttributes)
  * refactors attribute retrieval from cups
  * implements deviceUri and lastMessage on Printer
  * adds Printers.printTestPage
  * Add tests for JobModel roles
  * Add tests for make and location in Printer
  * Fix JobModel color and quality roles to use fallback if no text
  * Add tests for all roles in PrinterModel
  * Remove PdfRole it is not used (IsPdfRole instead)
  * Add holdJob and releaseJob methods to Printers
  * Add HeldRole to JobModel
  * Add tests for hold and releasing a job
  * Update example to show how hold and release work
  * Update StateRole to return just the state, not text
  * Remove PrinterJob friends and make setters public as they aren't exposed to QML anyway
  * adds make and location to printermodel and printer
  * Pull of trunk
  * Remove use of bitewise or as it fails in CI
  * guards against excessive loading of printers and drivers
  * adds loadPrinter method on Printers
  * drops a lot of code that was not used, and some TODOS/FIXMES that aren't necessary
  * Fix/add commented or empty tests
  * Implement tests that had QSKIP
  * removes empty brackets
  * adds cmake extras, required by printer stuff
  * Remove remaining fixme's
  * Rename UbuntuSettingsComponentsPrintersPlugin to UbuntuComponentsExtrasPrintersPlugin
  * Remove import Ubuntu.Settings.Components 0.1 from example qml imports


=== debian/control ===
Source: lomiri-ui-extras
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake (>= 2.8.9),
               cmake-extras (>= 0.10),
               debhelper-compat (= 13),
               gettext,
               libcups2-dev,
               libexiv2-dev,
               pkg-config,
               python3:any,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qml-module-qtquick2,
               qml-module-qttest,
               qml-module-lomiri-components,
               qml-module-lomiri-test,
               xauth,
               xvfb,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/lomiri-ui-extras
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-ui-extras/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-ui-extras.git

Package: qml-module-lomiri-components-extras
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libqt5printsupport5,
         qml-module-qtqml-models2,
         qml-module-qtquick2,
         qml-module-lomiri-components,
         qml-module-qtquick-window2,
Description: Lomiri UI Extra Components
 A collection of UI components that for various reasons can't be included in
 the main Lomiri UI toolkit - mostly because of the level of quality, lack of
 documentation and/or lack of automated tests.

=== debian/watch ===
version=4
https://gitlab.com/ubports/core/lomiri-ui-extras/tags .*/lomiri-ui-extras-(\d\S+)\.tar\.gz

## lomiri-ui-extras 0.6.0

=== CMakeLists.txt ===
project(lomiri-ui-extras)
cmake_minimum_required(VERSION 2.8.9)

# Standard install paths
include(GNUInstallDirs)

option(ENABLE_TESTS "Build test programs" ON)

# enable QML debugging
if(CMAKE_BUILD_TYPE MATCHES DEBUG OR CMAKE_BUILD_TYPE MATCHES "Debug")
    add_definitions(-DQT_QML_DEBUG)
endif()

find_package(Qt5Core REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Quick REQUIRED)
find_package(Qt5Test)

add_definitions(-DQT_NO_KEYWORDS)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

# make non compiled files visible in qtcreator
file(GLOB_RECURSE NON_COMPILED_FILES *.qml *.js *.py *.svg *.png *.in *.json *.desktop *.pot qmldir)
add_custom_target(NON_COMPILED_TARGET ALL SOURCES ${NON_COMPILED_FILES})

# for dh_translations to extract the domain
# (regarding syntax consistency, see http://pad.lv/1181187)
set (GETTEXT_PACKAGE "lomiri-ui-extras")

add_subdirectory(modules)

if(ENABLE_TESTS)
    enable_testing()
    add_subdirectory(tests)
endif()
add_subdirectory(po)

=== tests/qml/CMakeLists.txt ===
find_program(QMLTESTRUNNER_BIN
    NAMES qmltestrunner
    PATHS /usr/lib/*/qt5/bin
    NO_DEFAULT_PATH
)

find_program(XVFB_RUN_BIN
    NAMES xvfb-run
)

macro(DECLARE_QML_TEST TST_NAME TST_QML_FILE)
    add_test(NAME ${TST_NAME}
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
        COMMAND ${XVFB_RUN_BIN} -a -s "-screen 0 1024x768x24" ${QMLTESTRUNNER_BIN} --platform xcb -input ${CMAKE_CURRENT_SOURCE_DIR}/${TST_QML_FILE}
    )
endmacro()

if(QMLTESTRUNNER_BIN AND XVFB_RUN_BIN)
    declare_qml_test("tst_actions_bar" tst_ActionsBar.qml)
    declare_qml_test("tst_busy_indicator" tst_BusyIndicator.qml)
    declare_qml_test("tst_crop_drag_area" tst_CropDragArea.qml)
else()
    if (NOT QMLTESTRUNNER_BIN)
        message(WARNING "Qml tests disabled: qmltestrunner not found")
    else()
        message(WARNING "Qml tests disabled: xvfb-run not found")
    endif()
endif()

set(QML_TST_FILES
    tst_ActionsBar.qml
    tst_BusyIndicator.qml
    tst_CropDragArea.qml
)
add_custom_target(tst_QmlFiles ALL SOURCES ${QML_TST_FILES})

=== tests/unittests/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/modules/Lomiri/Components/Extras/plugin/example/
    ${CMAKE_SOURCE_DIR}/modules/Lomiri/Components/Extras/plugin/photoeditor/
    )

qt5_add_resources(sampledata_rc_srcs sampledata.qrc)

set(plugin-dir ../../modules/Lomiri/Components/Extras/plugin)
macro(generate_tests)
    foreach(test ${ARGN})
        add_executable(${test} 
            ${test}.cpp
            ${plugin-dir}/photoeditor/photo-image-provider.cpp
            ${sampledata_rc_srcs}
            )
        qt5_use_modules(${test} Core Qml Quick Test)
        target_link_libraries(${test}
            ${TPL_QT5_LIBRARIES}
            lomiri-ui-extras-plugin
            )
        add_test(${test} 
            ${CMAKE_CURRENT_BINARY_DIR}/${test}
            -xunitxml -o ${test}.xml
            )
        set_tests_properties(${test} PROPERTIES
            ENVIRONMENT "QT_QPA_PLATFORM=minimal"
            )
    endforeach(test)
endmacro(generate_tests)

generate_tests(
    tst_ExampleModelTests
    tst_PhotoEditorPhoto
    tst_PhotoEditorPhotoImageProvider
    )

add_subdirectory(Printers)

=== tests/unittests/Printers/CMakeLists.txt ===
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fno-permissive -pedantic -Wall -Wextra")

include_directories(
    ${CMAKE_SOURCE_DIR}/modules/Lomiri/Components/Extras/Printers
)

find_package(Qt5Gui REQUIRED)
find_package(Qt5Test REQUIRED)

set(MOCK_SOURCES
    mockbackend.h
)

add_executable(testPrintersPrinter tst_printer.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersPrinter LomiriComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_printer testPrintersPrinter)

add_executable(testPrintersPrinterJob tst_printerjob.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersPrinterJob LomiriComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_printerjob testPrintersPrinterJob)

add_executable(testPrintersPrinters tst_printers.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersPrinters LomiriComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_printers testPrintersPrinters)
set_tests_properties(tst_printers PROPERTIES
    ENVIRONMENT "XDG_DATA_DIRS=${CMAKE_CURRENT_SOURCE_DIR}/testdata")

add_executable(testPrintersPrinterModel tst_printermodel.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersPrinterModel LomiriComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_printermodel testPrintersPrinterModel)

add_executable(testPrintersPrinterFilter tst_printerfilter.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersPrinterFilter LomiriComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_printerfilter testPrintersPrinterFilter)

add_executable(testPrintersDriverModel tst_drivermodel.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersDriverModel LomiriComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_drivermodel testPrintersDriverModel)

add_executable(testPrintersJobModel tst_jobmodel.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersJobModel LomiriComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_jobmodel testPrintersJobModel)

add_executable(testPrintersJobFilter tst_jobfilter.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersJobFilter LomiriComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_jobfilter testPrintersJobFilter)

add_executable(testPrintersSignalRateLimiter tst_signalratelimiter.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersSignalRateLimiter LomiriComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_signalratelimiter testPrintersSignalRateLimiter)

add_executable(testPrintersDevice tst_printerdevice.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersDevice LomiriComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_printerdevice testPrintersDevice)

add_executable(testPrintersDeviceModel tst_printerdevicemodel.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersDeviceModel LomiriComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_printerdevicemodel testPrintersDeviceModel)

=== modules/Lomiri/Components/Extras/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 add_subdirectory(plugin)
 add_subdirectory(Example)
+add_subdirectory(PamAuthentication)
 add_subdirectory(PhotoEditor)
 add_subdirectory(Printers)
 add_subdirectory(TabsBar)

=== modules/Lomiri/Components/Extras/PamAuthentication/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")
set(BARE_PLUGIN_DIR Lomiri/Components/Extras/PamAuthentication)
set(PLUGIN_DIR ${QT_IMPORTS_DIR}/${BARE_PLUGIN_DIR})

set(pamauthentication_SRCS
    pamauthentication.cpp
    pamauthentication.h
    pamauthentication_plugin.cpp
    pamauthentication_plugin.h
)

add_library(PamAuthentication MODULE
    ${pamauthentication_SRCS}
)

target_link_libraries(PamAuthentication pam)

qt5_use_modules(PamAuthentication Gui Qml Quick Widgets DBus)

# Copy the plugin, the qmldir file and other assets to the build dir for running in QtCreator
if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
    add_custom_command(TARGET PamAuthentication POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/../${BARE_PLUGIN_DIR}
        COMMENT "Creating plugin directory layout in the build directory"
        COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/qmldir ${CMAKE_CURRENT_BINARY_DIR}/../${BARE_PLUGIN_DIR}
        COMMENT "Copying the qmldir file to the build directory"
        COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:PamAuthentication> ${CMAKE_CURRENT_BINARY_DIR}/../${BARE_PLUGIN_DIR}
        COMMENT "Copying the plugin binary to the build directory"
    )
endif(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")

# Install plugin file
install(TARGETS PamAuthentication DESTINATION ${PLUGIN_DIR})
install(FILES qmldir DESTINATION ${PLUGIN_DIR})

=== modules/Lomiri/Components/Extras/Printers/CMakeLists.txt ===
project(LomiriComponentsExtrasPrintersQml)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fno-permissive -pedantic -Wall -Wextra")

add_definitions(-DUBUNTUCOMPONENTSEXTRASPRINTERS_LIBRARY)

include(FindCups)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CUPS_INCLUDE_DIR})

find_package(Qt5Gui REQUIRED)
find_package(Qt5PrintSupport REQUIRED)
find_package(Qt5Qml REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Concurrent REQUIRED)

if(NOT CUPS_FOUND)
message(FATAL_ERROR "Could not find cups.")
endif()

qt5_add_dbus_interface(
    GEN_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/org.cups.cupsd.Notifier.xml
    cupsdnotifier)

add_library(LomiriComponentsExtrasPrintersQml SHARED
    ${GEN_SOURCES}
    backend/backend.cpp
    backend/backend_cups.cpp
    backend/backend_pdf.cpp

    cups/devicesearcher.cpp
    cups/ippclient.cpp
    cups/jobloader.cpp
    cups/printerdriverloader.cpp
    cups/printerloader.cpp

    models/devicemodel.cpp
    models/drivermodel.cpp
    models/jobmodel.cpp
    models/printermodel.cpp

    printer/printer.cpp
    printer/printerjob.cpp
    printer/signalratelimiter.cpp
    printers/printers.cpp

    enums.h
    i18n.cpp
    plugin.cpp
    structs.h
    utils.h
)

target_link_libraries(LomiriComponentsExtrasPrintersQml
    Qt5::DBus
    Qt5::Gui
    Qt5::PrintSupport
    Qt5::Qml
    Qt5::Concurrent
    ${CUPS_LIBRARIES}
)

find_package(QmlPlugins)

macro(add_plugin PLUGIN VERSION PATH)
    export_qmlfiles(${PLUGIN} ${PATH} DESTINATION ${QT_IMPORTS_DIR} ${ARGN})
    export_qmlplugin(${PLUGIN} ${VERSION} ${PATH} DESTINATION ${QT_IMPORTS_DIR} ${ARGN})
endmacro()

add_plugin(Lomiri.Components.Extras.Printers 0.1 Lomiri/Components/Extras/Printers TARGETS LomiriComponentsExtrasPrintersQml)

=== modules/Lomiri/Components/Extras/plugin/CMakeLists.txt ===
include(FindPkgConfig)
pkg_check_modules(EXIV2 REQUIRED exiv2)             # photoeditor

set(PLUGIN_SRC
    components.cpp
)

set(EXAMPLE_PLUGIN_SRC
    example/example-model.cpp
)

set(PHOTO_EDITOR_PLUGIN_SRC
    photoeditor/file-utils.cpp
    photoeditor/orientation.cpp
    photoeditor/photo-data.cpp
    photoeditor/photo-image-provider.cpp
    photoeditor/photo-metadata.cpp
    photoeditor/imaging.cpp
    photoeditor/photo-edit-thread.cpp
    )

set(TABS_BAR_PLUGIN_SRC
    tabsbar/drag-helper.cpp
)

include_directories(
    ${CMAKE_BINARY_DIR}
)

add_library(lomiri-ui-extras-plugin SHARED ${PLUGIN_SRC} ${PLUGIN_HDRS}
            ${EXAMPLE_PLUGIN_SRC} ${PHOTO_EDITOR_PLUGIN_SRC} ${TABS_BAR_PLUGIN_SRC})
qt5_use_modules(lomiri-ui-extras-plugin Core Qml Quick Xml Widgets)
target_link_libraries(lomiri-ui-extras-plugin
    ${EXIV2_LIBRARIES}
    )


set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")

set(PLUGIN_DIR ${QT_IMPORTS_DIR}/Lomiri/Components/Extras)
install(TARGETS lomiri-ui-extras-plugin DESTINATION ${PLUGIN_DIR})

# copy the product of the build (plugin binary) to the test directory before
# unit tests are run, so it can be loaded by them.
# Also copy it one directory up so it can be loaded by autopilot tests when
# running them uninstalled.
add_custom_command(
            TARGET lomiri-ui-extras-plugin
            POST_BUILD
            COMMAND ${CMAKE_COMMAND} -E copy
                $<TARGET_FILE:lomiri-ui-extras-plugin>
                ${CMAKE_BINARY_DIR}/tests/unittests/Lomiri/Components/Extras/)
add_custom_command(
            TARGET lomiri-ui-extras-plugin
            POST_BUILD
            COMMAND ${CMAKE_COMMAND} -E copy
                $<TARGET_FILE:lomiri-ui-extras-plugin>
                ../)

=== debian/changelog ===
lomiri-ui-extras (0.6.0-1) unstable; urgency=medium

  * New upstream release v0.6.0
  * debian/patches/: Drop upstreamed patches
    + 0001_Use-unified-spelling-for-copyright-holdership-by-Can.patch
    + 0002_Use-unified-spelling-for-copyright-holdership-by-Can.patch
  * debian/control: Add libpam0g-dev as B-D
  * debian/copyright: Update copyright to match new upstream release

 -- Marius Gripsgard <marius@ubports.com>  Wed, 11 Jan 2023 07:27:16 +0100

lomiri-ui-extras (0.5-3) unstable; urgency=medium

  * Team upload.

  [ Mike Gabriel ]
  * debian/: Update upstream Git repo URL.

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml
  * Disable tst_printers test. (Closes: #1015103)

 -- Anton Gladky <gladk@debian.org>  Thu, 06 Oct 2022 20:46:15 +0200

=== debian/control ===
--- 
+++ 
@@ -19,11 +19,12 @@
                qml-module-qttest,
                qml-module-lomiri-components,
                qml-module-lomiri-test,
+               libpam0g-dev,
                xauth,
                xvfb,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: https://gitlab.com/ubports/core/lomiri-ui-extras
+Homepage: https://gitlab.com/ubports/development/core/lomiri-ui-extras
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-ui-extras/
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-ui-extras.git

## lomiri-ui-extras 0.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
-project(lomiri-ui-extras)
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.5)
+
+project(lomiri-ui-extras VERSION 0.6.3)
 
 # Standard install paths
 include(GNUInstallDirs)
@@ -14,6 +15,8 @@
 find_package(Qt5Core REQUIRED)
 find_package(Qt5Widgets REQUIRED)
 find_package(Qt5Quick REQUIRED)
+find_package(Qt5DBus REQUIRED)
+find_package(Qt5Xml REQUIRED)
 find_package(Qt5Test)
 
 add_definitions(-DQT_NO_KEYWORDS)

=== tests/CMakeLists.txt ===
add_subdirectory(qml)
add_subdirectory(unittests)

=== tests/qml/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,5 @@
 find_program(QMLTESTRUNNER_BIN
     NAMES qmltestrunner
-    PATHS /usr/lib/*/qt5/bin
-    NO_DEFAULT_PATH
 )
 
 find_program(XVFB_RUN_BIN

=== tests/unittests/CMakeLists.txt ===
--- 
+++ 
@@ -14,10 +14,13 @@
             ${plugin-dir}/photoeditor/photo-image-provider.cpp
             ${sampledata_rc_srcs}
             )
-        qt5_use_modules(${test} Core Qml Quick Test)
         target_link_libraries(${test}
             ${TPL_QT5_LIBRARIES}
             lomiri-ui-extras-plugin
+            Qt5::Core
+            Qt5::Qml
+            Qt5::Quick
+            Qt5::Test
             )
         add_test(${test} 
             ${CMAKE_CURRENT_BINARY_DIR}/${test}

=== modules/Lomiri/Components/CMakeLists.txt ===
add_subdirectory(Extras)

=== modules/Lomiri/Components/Extras/PamAuthentication/CMakeLists.txt ===
--- 
+++ 
@@ -17,9 +17,14 @@
     ${pamauthentication_SRCS}
 )
 
-target_link_libraries(PamAuthentication pam)
-
-qt5_use_modules(PamAuthentication Gui Qml Quick Widgets DBus)
+target_link_libraries(PamAuthentication
+    pam
+    Qt5::Gui
+    Qt5::Qml
+    Qt5::Quick
+    Qt5::Widgets
+    Qt5::DBus
+)
 
 # Copy the plugin, the qmldir file and other assets to the build dir for running in QtCreator
 if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")

=== modules/Lomiri/Components/Extras/TabsBar/CMakeLists.txt ===
file(GLOB QML_FILES *.qml *.js *.png)
install(FILES ${QML_FILES} DESTINATION ${PLUGIN_DIR}/TabsBar)

=== modules/Lomiri/Components/Extras/plugin/CMakeLists.txt ===
--- 
+++ 
@@ -29,10 +29,14 @@
 
 add_library(lomiri-ui-extras-plugin SHARED ${PLUGIN_SRC} ${PLUGIN_HDRS}
             ${EXAMPLE_PLUGIN_SRC} ${PHOTO_EDITOR_PLUGIN_SRC} ${TABS_BAR_PLUGIN_SRC})
-qt5_use_modules(lomiri-ui-extras-plugin Core Qml Quick Xml Widgets)
 target_link_libraries(lomiri-ui-extras-plugin
     ${EXIV2_LIBRARIES}
-    )
+    Qt5::Core
+    Qt5::Qml
+    Qt5::Quick
+    Qt5::Xml
+    Qt5::Widgets
+)
 
 
 set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")

=== debian/changelog ===
lomiri-ui-extras (0.6.3-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:52:10 +1100

lomiri-ui-extras (0.6.3-1ubuntu2) noble; urgency=high

  * Bump depends for libqt5printsupport5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 21:48:22 +0100

lomiri-ui-extras (0.6.3-1build2) noble; urgency=medium

  * No-change rebuild against libcups2t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:54:07 +1300

lomiri-ui-extras (0.6.3-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:46:32 +0000

lomiri-ui-extras (0.6.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Feb 2024 18:00:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: lomiri-ui-extras
 Section: misc
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: cmake (>= 2.8.9),
-               cmake-extras (>= 0.10),
+Build-Depends: cmake,
+               cmake-extras,
                debhelper-compat (= 13),
                gettext,
                libcups2-dev,
@@ -22,7 +23,7 @@
                libpam0g-dev,
                xauth,
                xvfb,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-ui-extras
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-ui-extras/
@@ -32,7 +33,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libqt5printsupport5,
+         libqt5printsupport5t64,
          qml-module-qtqml-models2,
          qml-module-qtquick2,
          qml-module-lomiri-components,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_OPTS += -DENABLE_TESTS=OFF
endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		$(CONFIGURE_OPTS)

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C obj-$(DEB_HOST_GNU_TYPE) lomiri-ui-extras.pot

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/lomiri-ui-extras/tags .*/lomiri-ui-extras-(\d\S+)\.tar\.gz

## lomiri-ui-extras 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,23 +1,31 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(lomiri-ui-extras VERSION 0.6.3)
+project(lomiri-ui-extras VERSION 0.7.0)
 
 # Standard install paths
 include(GNUInstallDirs)
 
 option(ENABLE_TESTS "Build test programs" ON)
+option(ENABLE_WERROR "Enable -Werror" OFF)
+option(ENABLE_QT6 "Enable Qt6 build" OFF)
+
+add_compile_options(-Wall -Wextra -pedantic)
+if (ENABLE_WERROR)
+    add_compile_options(-Werror)
+endif()
 
 # enable QML debugging
 if(CMAKE_BUILD_TYPE MATCHES DEBUG OR CMAKE_BUILD_TYPE MATCHES "Debug")
     add_definitions(-DQT_QML_DEBUG)
 endif()
 
-find_package(Qt5Core REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5Quick REQUIRED)
-find_package(Qt5DBus REQUIRED)
-find_package(Qt5Xml REQUIRED)
-find_package(Qt5Test)
+if (ENABLE_QT6)
+    find_package(QT NAMES Qt6 REQUIRED COMPONENTS Core Qml)
+else()
+    find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core Qml)
+endif()
+
+find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Widgets Quick DBus Xml Test)
 
 add_definitions(-DQT_NO_KEYWORDS)

=== po/CMakeLists.txt ===
project(lomiri-ui-extras-translations)

include(FindGettext)
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

file(GLOB_RECURSE I18N_SRC_FILES
     RELATIVE ${CMAKE_SOURCE_DIR}
     ${CMAKE_SOURCE_DIR}/modules/*.qml ${CMAKE_SOURCE_DIR}/modules/*.cpp ${CMAKE_SOURCE_DIR}/modules/*.h)

set(DOMAIN ${GETTEXT_PACKAGE})
set(POT_FILE ${DOMAIN}.pot)
file(GLOB PO_FILES *.po)

add_custom_target(${POT_FILE} ALL
                          COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                          -s -p ${CMAKE_CURRENT_SOURCE_DIR}
                          -D ${CMAKE_SOURCE_DIR}
                          --from-code=UTF-8
                          --c++ --qt --add-comments=TRANSLATORS
                          --keyword=dtr:2 --keyword=dtr:2,3
                          --keyword=tr --keyword=tr:1,2
                          --keyword=__
                          --package-name=lomiri-ui-extras
                          --copyright-holder='Canonical Ltd.'
                          ${I18N_SRC_FILES})

foreach(PO_FILE ${PO_FILES})
    get_filename_component(LANG ${PO_FILE} NAME_WE)
    gettext_process_po_files(${LANG} ALL PO_FILES ${PO_FILE})
    set(INSTALL_DIR ${CMAKE_INSTALL_LOCALEDIR}/${LANG}/LC_MESSAGES)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.gmo
            DESTINATION ${INSTALL_DIR}
            RENAME ${DOMAIN}.mo)
endforeach(PO_FILE)

=== tests/qml/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,10 @@
-find_program(QMLTESTRUNNER_BIN
-    NAMES qmltestrunner
+set(CHECK_DEFAULT_PATH "")
+if (EXISTS "/etc/debian_version")
+    set(CHECK_DEFAULT_PATH "NO_DEFAULT_PATH")
+endif()
+find_program(QMLTESTRUNNER_BIN qmltestrunner REQUIRED
+                 PATHS /usr/lib/qt${QT_VERSION_MAJOR}/bin
+                 ${CHECK_DEFAULT_PATH}
 )
 
 find_program(XVFB_RUN_BIN

=== tests/unittests/CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,13 @@
     ${CMAKE_SOURCE_DIR}/modules/Lomiri/Components/Extras/plugin/photoeditor/
     )
 
-qt5_add_resources(sampledata_rc_srcs sampledata.qrc)
+qt_add_resources(sampledata_rc_srcs sampledata.qrc)
+add_custom_target(sampledata_rc_target DEPENDS ${sampledata_rc_srcs})
 
 set(plugin-dir ../../modules/Lomiri/Components/Extras/plugin)
 macro(generate_tests)
     foreach(test ${ARGN})
-        add_executable(${test} 
+        add_executable(${test}
             ${test}.cpp
             ${plugin-dir}/photoeditor/photo-image-provider.cpp
             ${sampledata_rc_srcs}
@@ -17,12 +18,13 @@
         target_link_libraries(${test}
             ${TPL_QT5_LIBRARIES}
             lomiri-ui-extras-plugin
-            Qt5::Core
-            Qt5::Qml
-            Qt5::Quick
-            Qt5::Test
+            Qt::Core
+            Qt::Qml
+            Qt::Quick
+            Qt::Test
             )
-        add_test(${test} 
+        add_dependencies(${test} sampledata_rc_target)
+        add_test(${test}
             ${CMAKE_CURRENT_BINARY_DIR}/${test}
             -xunitxml -o ${test}.xml
             )

=== modules/Lomiri/Components/Extras/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 file(GLOB QML_FILES *.qml qmldir)
 
-set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")
+set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/qml")
 
 set(PLUGIN_DIR ${QT_IMPORTS_DIR}/Lomiri/Components/Extras)
 install(FILES ${QML_FILES} DESTINATION ${PLUGIN_DIR})

=== modules/Lomiri/Components/Extras/plugin/CMakeLists.txt ===
--- 
+++ 
@@ -31,15 +31,15 @@
             ${EXAMPLE_PLUGIN_SRC} ${PHOTO_EDITOR_PLUGIN_SRC} ${TABS_BAR_PLUGIN_SRC})
 target_link_libraries(lomiri-ui-extras-plugin
     ${EXIV2_LIBRARIES}
-    Qt5::Core
-    Qt5::Qml
-    Qt5::Quick
-    Qt5::Xml
-    Qt5::Widgets
+    Qt::Core
+    Qt::Qml
+    Qt::Quick
+    Qt::Xml
+    Qt::Widgets
 )
 
 
-set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")
+set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/qml")
 
 set(PLUGIN_DIR ${QT_IMPORTS_DIR}/Lomiri/Components/Extras)
 install(TARGETS lomiri-ui-extras-plugin DESTINATION ${PLUGIN_DIR})

=== debian/changelog ===
lomiri-ui-extras (0.7.0-3) unstable; urgency=medium

  * debian/control:
    + Comment-out qml6-module-lomiri-components in D: of qml6-module-lomiri-
      components-extras until it has landed in Debian.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Apr 2025 14:22:23 +0200

lomiri-ui-extras (0.7.0-2) unstable; urgency=medium

  * debian/rules:
    + Backup and restore po/lomiri-ui-extras.pot. (Closes: #1048158).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 31 Mar 2025 08:27:47 +0200

lomiri-ui-extras (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0003-Disable-tst_printers-unittest.patch. Not required anymore.
  * debian/:
    + Introduce dually building againt Qt5 and Qt6. This adds a qml6-module-
      lomiri-components-extras.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 29 Mar 2025 19:44:17 +0100

lomiri-ui-extras (0.6.3-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Drop hard-wired libqt5printsupport5 from D:. (Closes: #1068398).
    + Switch from pkg-config to pkgconf. Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 07 Apr 2024 23:49:07 +0200

=== debian/control ===
Source: lomiri-ui-extras
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras,
               debhelper-compat (= 13),
               gettext,
               libcups2-dev,
               libexiv2-dev,
               pkgconf,
               python3:any,
               qt6-base-dev,
               qt6-declarative-dev,
               qml6-module-qtquick,
               qml6-module-qttest,
#               qml6-module-lomiri-components,
#               qml6-module-lomiri-test,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qml-module-qtquick2,
               qml-module-qttest,
               qml-module-lomiri-components,
               qml-module-lomiri-test,
               libpam0g-dev,
               xauth,
               xvfb,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-ui-extras
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-ui-extras/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-ui-extras.git

Package: qml-module-lomiri-components-extras
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lomiri-components-extras-common (>= ${source:Version}),
         qml-module-qtqml-models2,
         qml-module-qtquick2,
#         qml-module-lomiri-components,
         qml-module-qtquick-window2,
Description: Lomiri UI Extra Components (Qt5)
 A collection of UI components that for various reasons can't be included in
 the main Lomiri UI toolkit - mostly because of the level of quality, lack of
 documentation and/or lack of automated tests.
 .
 This package contains the Qt5 QML module.

Package: qml6-module-lomiri-components-extras
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lomiri-components-extras-common (>= ${source:Version}),
         qml6-module-qtqml-models,
         qml6-module-qtquick,
#         qml6-module-lomiri-components,
         qml6-module-qtquick-window,
Description: Lomiri UI Extra Components (Qt6)
 A collection of UI components that for various reasons can't be included in
 the main Lomiri UI toolkit - mostly because of the level of quality, lack of
 documentation and/or lack of automated tests.
 .
 This package contains the Qt6 QML module.

Package: lomiri-components-extras-common
Architecture: all
Depends: ${misc:Depends},
Breaks: qml-module-lomiri-components-extras (<< 0.7.0~),
Replaces: qml-module-lomiri-components-extras (<< 0.7.0~),
Description: Lomiri UI Extra Components (locale files)
 A collection of UI components that for various reasons can't be included in
 the main Lomiri UI toolkit - mostly because of the level of quality, lack of
 documentation and/or lack of automated tests.
 .
 This package contains locale files used by both (Qt5 / Qt6) QML module
 variants.

=== debian/rules ===
--- 
+++ 
@@ -17,12 +17,33 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
-		$(CONFIGURE_OPTS)
+	dh_auto_configure --builddirectory=build-qt6 --buildsystem=cmake .. -- \
+	                  -DENABLE_QT6=ON                                      \
+	                  $(CONFIGURE_OPTS)
+	dh_auto_configure --builddirectory=build-qt5 --buildsystem=cmake .. -- \
+	                  -DENABLE_QT6=OFF                                     \
+	                  $(CONFIGURE_OPTS)
 
 override_dh_auto_build:
-	dh_auto_build
-	$(MAKE) -C obj-$(DEB_HOST_GNU_TYPE) lomiri-ui-extras.pot
+	cp po/lomiri-ui-extras.pot po/lomiri-ui-extras.pot.bak
+	dh_auto_build --builddirectory=build-qt6 --buildsystem=cmake ..
+	dh_auto_build --builddirectory=build-qt5 --buildsystem=cmake ..
+
+override_dh_auto_test:
+	dh_auto_test --builddirectory=build-qt6 --buildsystem=cmake ..
+	dh_auto_test --builddirectory=build-qt5 --buildsystem=cmake ..
+
+override_dh_auto_install:
+	dh_auto_install --builddirectory=build-qt6 --buildsystem=cmake ..
+	dh_auto_install --builddirectory=build-qt5 --buildsystem=cmake ..
+
+override_dh_auto_clean:
+	dh_auto_clean --builddirectory=build-qt6 --buildsystem=cmake ..
+	dh_auto_clean --builddirectory=build-qt5 --buildsystem=cmake ..
+
+override_dh_clean:
+	-mv po/lomiri-ui-extras.pot.bak po/lomiri-ui-extras.pot
+	dh_clean
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## lomiri-ui-extras 0.8.0~git20250805.b00c9c1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 endif()
 
 if (ENABLE_QT6)
-    find_package(QT NAMES Qt6 REQUIRED COMPONENTS Core Qml)
+    find_package(QT NAMES Qt6 REQUIRED COMPONENTS Core Qml ShaderTools)
 else()
     find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core Qml)
 endif()

=== tests/CMakeLists.txt ===
# temporarily skip Qt6 QML tests until we have lomiri-ui-toolkit Qt6 builds
if (NOT ENABLE_QT6)
    add_subdirectory(qml)
endif()
add_subdirectory(unittests)

=== tests/qml/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 macro(DECLARE_QML_TEST TST_NAME TST_QML_FILE)
     add_test(NAME ${TST_NAME}
         WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
-        COMMAND ${XVFB_RUN_BIN} -a -s "-screen 0 1024x768x24" ${QMLTESTRUNNER_BIN} --platform xcb -input ${CMAKE_CURRENT_SOURCE_DIR}/${TST_QML_FILE}
+        COMMAND ${XVFB_RUN_BIN} -a -s "-screen 0 1024x768x24" ${QMLTESTRUNNER_BIN} --platform xcb -input ${CMAKE_CURRENT_BINARY_DIR}/${TST_QML_FILE}
     )
 endmacro()
 
@@ -36,3 +36,8 @@
     tst_CropDragArea.qml
 )
 add_custom_target(tst_QmlFiles ALL SOURCES ${QML_TST_FILES})
+
+# copy files to binary dir in order to allow for relative imports
+foreach(qmlFile ${QML_TST_FILES})
+  file(COPY ${qmlFile} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
+endforeach(qmlFile)

=== modules/Lomiri/Components/Extras/CMakeLists.txt ===
set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/qml")

add_subdirectory(plugin)
add_subdirectory(qml${QT_VERSION_MAJOR})
add_subdirectory(PamAuthentication)
add_subdirectory(Printers)

=== modules/Lomiri/Components/Extras/PamAuthentication/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}
 )
 
-set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")
+set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/qml")
 set(BARE_PLUGIN_DIR Lomiri/Components/Extras/PamAuthentication)
 set(PLUGIN_DIR ${QT_IMPORTS_DIR}/${BARE_PLUGIN_DIR})
 
@@ -19,11 +19,11 @@
 
 target_link_libraries(PamAuthentication
     pam
-    Qt5::Gui
-    Qt5::Qml
-    Qt5::Quick
-    Qt5::Widgets
-    Qt5::DBus
+    Qt::Gui
+    Qt::Qml
+    Qt::Quick
+    Qt::Widgets
+    Qt::DBus
 )
 
 # Copy the plugin, the qmldir file and other assets to the build dir for running in QtCreator
@@ -41,4 +41,3 @@
 # Install plugin file
 install(TARGETS PamAuthentication DESTINATION ${PLUGIN_DIR})
 install(FILES qmldir DESTINATION ${PLUGIN_DIR})
-

=== modules/Lomiri/Components/Extras/qml5/CMakeLists.txt ===
file(GLOB QML_FILES *.qml qmldir)

set(PLUGIN_DIR ${QT_IMPORTS_DIR}/Lomiri/Components/Extras)
install(FILES ${QML_FILES} DESTINATION ${PLUGIN_DIR})

# copy qml files over to build dir to be able to import them in tests
foreach(qmlFile ${QML_FILES} Example PhotoEditor TabsBar)
  file(COPY ${qmlFile} DESTINATION ${CMAKE_BINARY_DIR}/tests/unittests/Lomiri/Components/Extras/)
endforeach(qmlFile)

add_subdirectory(Example)
add_subdirectory(PhotoEditor)
add_subdirectory(TabsBar)

=== debian/changelog ===
lomiri-ui-extras (0.8.0~git20250805.b00c9c1-1) experimental; urgency=medium

  * Upload to experimental.

  * New upstream release preview / Git snapshot.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.
  * debian/{rules,watch}:
    + Obtain upstream Git snapshot instead of release tarballs.
  * debian/control:
    + Add to B-D: qt6-shadertools-dev.
    + Add more Multi-Arch: {same,foreign} declarations. Thanks, Multi-Arch
      Hinter.
  * debian/qml*.lintian-overrides:
    + Ignore image-file-in-usr-lib lintian paranoia.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Sep 2025 14:32:11 +0200
